Page MenuHomePhabricator

[analyzer] Moved the whole SMT API to a single file. NFC.
ClosedPublic

Authored by mikhail.ramalho on Nov 27 2018, 2:35 PM.

Details

Summary

There is no advantage in having them in separate files, I doubt some will ever use them separately.

This also makes it easier to move the API to LLVM.

Diff Detail

Event Timeline

The advantage is it's easier to find stuff with a 1-1 correspondence between class names and files.
Thus for this change I see a disadvantage and no clear advantages.

The advantage is it's easier to find stuff with a 1-1 correspondence between class names and files.
Thus for this change I see a disadvantage and no clear advantages.

I agree that having separate files helps but I'll send the other backends in the future, adding even more files.

I was trying to reduce the clutter. Do you think I should put everything in a separate directory instead?

NoQ accepted this revision.Nov 30 2018, 5:31 PM

I don't mind, it's entirely a matter of taste, as far as i understand. Please feel free to make it as comfortable for yourself as possible.

Generally people are annoyed a bit by this sort of commits because when you move things around git blames get screwed.

This revision is now accepted and ready to land.Nov 30 2018, 5:31 PM
Closed by commit rC353372: Moved the whole SMT API to a single file. NFC. (authored by mramalho, committed by ). · Explain WhyFeb 6 2019, 7:19 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 6 2019, 7:19 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript